This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 149755 - Remote buffer overflow in the digestmd5.c
Remote buffer overflow in the digestmd5.c
Status: CLOSED NOTABUG
Product: Fedora Legacy
Classification: Retired
Component: cyrus-sasl (Show other bugs)
fc1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
http://www.gentoo.org/security/en/gls...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 17:03 EST by Leonard den Ottolander
Modified: 2007-04-18 13:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 17:03:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Leonard den Ottolander 2005-02-25 17:03:57 EST
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0373

Affects RHL 9 and FC 1. Please check whether it affects RHL 7.3.
Comment 2 Leonard den Ottolander 2005-02-28 17:05:55 EST
https://bugzilla.andrew.cmu.edu/cgi-bin/cvsweb.cgi/src/sasl/plugins/digestmd5.c#rev1.171
:

        * plugins/digestmd5.c: Fix potential buffer overflow, call
          add_to_challenge in 2 more places (Alexey Melnikov

So indeed the issue seems to be the sprintf(text->outbuf)s, not the
quoting.
Comment 3 Leonard den Ottolander 2005-03-01 17:03:13 EST
Alexey Melnikov verified that this issue only exists in rev 1.170 of
digestmd5.c. Official releases are hence not vulnerable.

Closing NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.